% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/setup_gpu_modules.R
\name{setup_gpu_modules}
\alias{setup_gpu_modules}
\title{Install GPU Python Modules}
\usage{
setup_gpu_modules()
}
\description{
Installs GPU-specific Python modules for the \{transforEmotion\} conda environment.
}
\details{
This function installs additional GPU-specific modules including:
\itemize{
  \item AutoAWQ for weight quantization
  \item Auto-GPTQ for GPU quantization
  \item Optimum for transformer optimization
  \item llama-cpp-python (Linux only) for CPU/GPU inference
}

The function is typically called by \code{setup_modules()} when GPU installation
is selected, but can also be run independently to update GPU-specific modules.
}
\note{
This function requires NVIDIA GPU and drivers to be properly installed.
}
\author{
Alexander P. Christensen <alexpaulchristensen@gmail.com>
}
